{
    onStart(pokemon) {
      if (pokemon.baseSpecies.baseSpecies !== "Wimpod" || pokemon.level < 20 || pokemon.transformed)
        return;
      if (pokemon.hp > pokemon.maxhp / 4) {
        if (pokemon.species.id === "wimpodsilverfish") {
          pokemon.formeChange("Wimpod-Swarm");
        }
      } else {
        if (pokemon.species.id === "wimpodswarm") {
          pokemon.formeChange("Wimpod-Silverfish");
        }
      }
    },
    onResidualOrder: 29,
    onResidual(pokemon) {
      if (pokemon.baseSpecies.baseSpecies !== "Wimpod" || pokemon.level < 20 || pokemon.transformed || !pokemon.hp)
        return;
      if (pokemon.hp > pokemon.maxhp / 4) {
        if (pokemon.species.id === "wimpodsilverfish") {
          pokemon.formeChange("Wimpod-Swarm");
        }
      } else {
        if (pokemon.species.id === "wimpodswarm") {
          pokemon.formeChange("Wimpod-Silverfish");
        }
      }
    },
    flags: { failroleplay: 1, noreceiver: 1, noentrain: 1, notrace: 1, failskillswap: 1, cantsuppress: 1 },
    name: "Swarming",
    rating: 3,
    num: -32093
}